Subject: Re: ML403 AC97 ALSA Driver problem

From: Qin Lin <[email-masked]>
Date: Mon, 3 Sep 2007 18:58:41 -0700 (PDT)

Hi Joachim
Every time aplay wavfile ,there is kernel stack overflow.And the "xsysace"
is a CF card driver .
when i just writing data to codec 0 with a simple program ,it is OK, but if
i read data from CF card 
and play ,it overflow also.
Maybe there is something conflict with CF card driver and AC97 driver .

Thanks for your note ,i will test it again.

Qin Lin  

Joachim Förster wrote:
> 
> Hi Qin Lin,
> 
> Do you get this overflow everytime you try aplay? Or, do you get it
> sometimes, only?
> 
> What confuses me is, that in your kernel messages the "TASK = ...
> 'xsysace'" is mentioned. Perhaps there is some relation with the sysace
> driver? Or do I miss something, here?
> Did you try play a .wav file from a RAM disk or NFS-mounted location? I
> have to note, that I am not using sysace and I haven't tried it jet -
> especially together with my AC97 driver.
> 
> As a first step, no matter what, you could compile your kernel with
> CONFIG_SND_DEBUG and additionally replace the line
> 
> #define PDEBUG_FACILITIES (UNKNOWN | INIT_FAILURE | WORK_FAILURE)
> 
> in ml403-ac97cr.c with
> 
> #define PDEBUG_FACILITIES (UNKNOWN | INIT_FAILURE | WORK_FAILURE |
> WORK_INFO | INIT_INFO)
> 
> This will give you a, well, huge amount of debugging messages
> (KERN_DEBUG). There we should see, how far my driver is getting (to some
> extent).
> 
>  Joachim
> 
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded
> 
> 

-- 
View this message in context: http://www.nabble.com/ML403-AC97-ALSA-Driver-problem-tf4351591.html#a12470485
Sent from the linuxppc-embedded mailing list archive at Nabble.com.